.\" $Id: Getpw.man,v 1.1 1996/05/19 17:10:11 vikas Exp $
.\"
.TH GETPW 8  "April 1, 1996"
.SH NAME
Getpw \- Create DBM format databases from password files.
.SH SYNOPSIS
.B Getpw
[
.B  \-d
.I (debug)
]
[
.B \-c
.I (create DBM database)
]
.I password-file
[
.I username
]
.\" ******************************************************************
.SH DESCRIPTION
.LP
.B Getpw
consists of routines to extract Unix style password fields and fill in
the
.B passwd
structure (see pwd.h)  from Unix style
.IR passwd (5)
files.
.LP
Typically this module is used as a programming interface to replace the
ever changing getpwnam() getpwent()  routines. However, this can also be
used to generate DBM format databases, by using the
.B \-c
command line option.
.LP
You can test the 
.I Getpwnam() 
routine  by specifying a username on the command line. Specify
.B \-d
for debugging output.
.SH AUTHOR
Vikas Aggarwal (vikas@navya.com)  written for the xtacacsd software.
.SH FILES
.I /etc/passwd
.SH SEE ALSO
.IR passwd (5), 
.IR /usr/include/pwd.h ,
.IR xtacacsd (8)

